// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.command;

import edu.wpi.first.wpilibj2.command.Command;
import frc.robot.subsystem.Accumulateur;
import frc.robot.subsystem.LED;

public class AllumeLED extends Command {
  private LED led;
  private Accumulateur accumulateur;
  /** Creates a new AllumeLED. */
  public AllumeLED(LED led,Accumulateur accumulateur){
    this.accumulateur = accumulateur;
    this.led = led;
    addRequirements(led);
    // Use addRequirements() here to declare subsystem dependencies.
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {}

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {
   if(accumulateur.limitswitch()){
    led.couleur(0, 255, 0);
   }
   else{
    led.couleur(255, 0, 0);
   }
  }

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {
    led.couleur(255, 0, 0);
  }

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return false;
  }
}
